Subject: bug#10805: 24.0.93; edebug-trace t may cause stuff being inserted into current buffer

From: Michael Heerdegen <[email-masked]>
Date: Wed, 15 Feb 2012 00:53:44 +0100

Note that my experience with `edebug-trace' is also zero, I only tried
it out, so take my comments with some care.

> More or less so, yes.  This is yet another incarnation of the "unless
> WINDOW already is the selected window, its buffer becomes the current
> buffer" problem of `select-window'.

Maybe.  But please keep in mind that `edebug-trace-display' is about
_displaying_ a buffer.  We don't want the user to edit the trace buffer,
so calling `select-window' is in fact not necessary in this case.  The
former window is instantly re-selected by `edebug-trace-display'.  

Please also note (another issue, but related) that if the trace buffer
is already visible in another (visible) frame, a new window pops up in
the current frame nevertheless, which is kind of annoying if source
files are spread over multiple frames.

Thanks,

Michael.